////////////////////////////////////////////////////////////////////
//    360° sero test code for product SER0037                     //
//    2.5g 360 degree micro servo D2S51                           //
//    http://www.dfrobot.com                                      //
//    by Lumi, May 2014                                           //
////////////////////////////////////////////////////////////////////

#include <Servo.h> 
 
Servo myservo;  // create servo object to control a servo 

void setup() 
{ 
    Serial.begin(9600);  // establish serial connection to show serial data in the serial monitor
    myservo.attach(10);  // attaches the servo on pin 10 to the servo object 
    delay(3000);         // wait 3 seconds after running the program to have time to open the serial monitor
} 
 
 
void loop() 
{ 
   myservo.write(0);                                 // rotate servo full speed clockwise (values between 0 and 90 can set the speed)
   Serial.println("Clockwise for 2 seconds");        // serial output to confirm the right direction of the rotation
   delay(2000);                                      // run previous command for 2 seconds
   myservo.write(90);                                // stop servo rotatation (value may be a bit lower or higher than 90)
   Serial.println("Stop for 2 seconds");             // serial output to confirm the right direction of the rotation
   delay(2000);                                      // run previous command for 2 seconds
   myservo.write(180);                               // rotate servo full speed counterclockwise (values between 180 and 90 can set the speed)
   Serial.println("Counterclockwise for 2 seconds"); // serial output to confirm the right direction of the rotation
   delay(2000);                                      // run previous command for 2 seconds
   myservo.write(90);                                // stop servo rotatation (value may be a bit lower or higher than 90)
   Serial.println("Stop for 2 seconds");             // serial output to confirm the right direction of the rotation
   delay(2000);                                      // run previous command for 2 seconds
} 
